Bug 244173 - net-mgmt/telegraf: fix build on aarch64
Summary: net-mgmt/telegraf: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks: 242312
  Show dependency treegraph
 
Reported: 2020-02-16 17:52 UTC by Mikael Urankar
Modified: 2020-03-20 11:58 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (girgen)


Attachments
patch (4.92 KB, patch)
2020-02-16 17:52 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-02-16 17:52:52 UTC
Created attachment 211695 [details]
patch

update net, sys and gopsutils to fix build on aarch64
https://github.com/influxdata/telegraf/pull/7031
Comment 1 Emmanuel Vadot freebsd_committer 2020-03-04 19:17:02 UTC
Approved-by: manu (mentor)
When maintainer approved or after maintainer timeout.
Comment 2 Palle Girgensohn freebsd_committer 2020-03-06 11:05:04 UTC
Hi!

I just tried without the patch and with the patch on 

121-arm64-aarch64 12.1-BETA3                   amd64 ftp    2019-10-10 15:50:51 /usr/local/poudriere/jails/121-arm64-aarch64

and it builds with as well as without the patch.

How can I verify that the patch fixes a build problem, or rather, how can I verify that it does not build on aarch64?

Palle
Comment 3 Mikael Urankar freebsd_committer 2020-03-06 11:48:46 UTC
(In reply to Palle Girgensohn from comment #2)
Are you sure your poudriere jail is aarch64? The ports is restricted to amd64 armv6 armv7 i386
Comment 4 commit-hook freebsd_committer 2020-03-20 11:58:21 UTC
A commit references this bug:

Author: girgen
Date: Fri Mar 20 11:58:02 UTC 2020
New revision: 528773
URL: https://svnweb.freebsd.org/changeset/ports/528773

Log:
  Fix build on aarch64

  Also fix spelling so the telegraf_confdir parameter actually works.

  Submitted by:	Mikael Urankar
  PR:		244173

Changes:
  head/net-mgmt/telegraf/Makefile
  head/net-mgmt/telegraf/distinfo
  head/net-mgmt/telegraf/files/telegraf.in
Comment 5 Palle Girgensohn freebsd_committer 2020-03-20 11:58:30 UTC
Commited. Thanks!